# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: cppcheck
Version: 1.37
Release: alt1

Summary: A tool for static C/C++ code analysis

License: GPLv3
Group: Development/Tools
Url: http://sourceforge.net/projects/cppcheck/
Packager: Slava Semushin <php-coder@altlinux.ru>

Source: http://downloads.sourceforge.net/cppcheck/cppcheck-%version.tar.bz2
Patch0: cppcheck-alt-warnings-fix.patch
Patch1: cppcheck-alt-src-disable_debug.patch

BuildRequires: gcc-c++ docbook-style-xsl xsltproc

%description
Static analysis of C/C++ code. Checks for: memory leaks, mismatching
allocation-deallocation, buffer overrun, and many more. The goal is
0%% false positives.

%prep
%setup

%patch0 -p2
%patch1 -p2

# Replace default compiler flags
sed -i 's|^CXXFLAGS=.*|CXXFLAGS=%optflags -W -Werror|' Makefile

%build
%make_build --silent --no-print-directory

# Run tests
%make_build --silent --no-print-directory test

# Generate man page
xsltproc \
	-''-nonet \
	-''-param man.charmap.use.subset "0" \
	/usr/share/xml/docbook/xsl-stylesheets/manpages/docbook.xsl man/cppcheck.1.xml

%install
%makeinstall_std --silent --no-print-directory

install -pD -m 644 %name.1 %buildroot%_man1dir/%name.1

%files
%doc readme.txt
%_bindir/%name
%_man1dir/%name.1.*

%changelog
* Wed Sep 23 2009 Slava Semushin <php-coder@altlinux.ru> 1.37-alt1
- Updated to 1.37

* Sun Aug 16 2009 Slava Semushin <php-coder@altlinux.ru> 1.35-alt1
- Updated to 1.35

* Sun Jul 12 2009 Slava Semushin <php-coder@altlinux.ru> 1.34-alt1
- Updated to 1.34

* Wed Jun 10 2009 Slava Semushin <php-coder@altlinux.ru> 1.33-alt1
- Updated to 1.33
- Run test suite during build

* Mon May 11 2009 Slava Semushin <php-coder@altlinux.ru> 1.32-alt1
- Updated to 1.32

* Tue May 05 2009 Slava Semushin <php-coder@altlinux.ru> 1.31-alt1
- Initial build for ALT Linux

